commit:     84bc4d8d364b541527457b6ba1d93aa8c72b2e6b
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 21:46:54 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 22:43:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84bc4d8d

dev-python/pygobject: version bump 3.22.0 → 3.24.1

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 dev-python/pygobject/Manifest                |   1 +
 dev-python/pygobject/pygobject-3.24.1.ebuild | 105 +++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/dev-python/pygobject/Manifest b/dev-python/pygobject/Manifest
index 87f2bf21b92..3ff5332b5a5 100644
--- a/dev-python/pygobject/Manifest
+++ b/dev-python/pygobject/Manifest
@@ -1,2 +1,3 @@
 DIST pygobject-2.28.6.tar.xz 747248 SHA256 
fb8a1d4f665130a125011659bd347c7339c944232163dbb9a34fd0686577adb8 SHA512 
37544ea2377258758169b25a2969d5ee1c9ffb9b6e63e05bc7a0471a49ac9169c51ec587d4489172c7d256f53df878a81c1992a08059aa7e43dbbb69f799545c
 WHIRLPOOL 
402f764d6ca73f238784738a1e09832858fd95af5a633e825412e9e6a21e89ab6b2090d3995902ed404fc4fde445cf970c76fcd93f8f64cf9def742452776c00
 DIST pygobject-3.22.0.tar.xz 756820 SHA256 
08b29cfb08efc80f7a8630a2734dec65a99c1b59f1e5771c671d2e4ed8a5cbe7 SHA512 
1f6f0ea8014b35d7828a6bebc0fe2cf6519016ca5ad3819dc6b7879154d8e27fdd2971620955c8fc4904625814833c8bc8ec0599152720649864262d3b6e33e4
 WHIRLPOOL 
c285669e4d07a9b0cf79ba06528d3809d0c2807b2345dc6eeec011ed351cd45155119b2691cd10a498fb76d67486026e997d93c80b3a7ea60176e053d4452374
+DIST pygobject-3.24.1.tar.xz 758648 SHA256 
a628a95aa0909e13fb08230b1b98fc48adef10b220932f76d62f6821b3fdbffd SHA512 
f35968ab12b872c85af6b2410cadedcf9fa7e17352a40f3dc557c86203aa1c38753710aab9ce55e986ee2c98b64e14123c65083655445e993d0b53431db6dc93
 WHIRLPOOL 
998293b07796b4a5b7db475428f6aea46dbac93fc31e5b210307c1b68390341f92121741cec714dc3e7bc2f460dd1248d7eb37775baef51be9e6b9078ea3b332

diff --git a/dev-python/pygobject/pygobject-3.24.1.ebuild 
b/dev-python/pygobject/pygobject-3.24.1.ebuild
new file mode 100644
index 00000000000..a6b538b28f5
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.24.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit eutils gnome2 python-r1 virtualx
+
+DESCRIPTION="GLib's GObject library bindings for Python"
+HOMEPAGE="https://wiki.gnome.org/Projects/PyGObject";
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test +threads"
+
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       test? ( cairo )
+"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.38:2
+       >=dev-libs/gobject-introspection-1.46.0:=
+       virtual/libffi:=
+       cairo? (
+               >=dev-python/pycairo-1.10.0[${PYTHON_USEDEP}]
+               x11-libs/cairo )
+"
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       cairo? ( x11-libs/cairo[glib] )
+       test? (
+               dev-libs/atk[introspection]
+               media-fonts/font-cursor-misc
+               media-fonts/font-misc-misc
+               x11-libs/cairo[glib]
+               x11-libs/gdk-pixbuf:2[introspection]
+               x11-libs/gtk+:3[introspection]
+               x11-libs/pango[introspection]
+               python_targets_python2_7? ( 
dev-python/pyflakes[$(python_gen_usedep python2_7)] ) )
+"
+# gnome-base/gnome-common required by eautoreconf
+
+# We now disable introspection support in slot 2 per upstream recommendation
+# (see https://bugzilla.gnome.org/show_bug.cgi?id=642048#c9); however,
+# older versions of slot 2 installed their own site-packages/gi, and
+# slot 3 will collide with them.
+RDEPEND="${COMMON_DEPEND}
+       !<dev-python/pygtk-2.13
+       !<dev-python/pygobject-2.28.6-r50:2[introspection]
+"
+
+src_prepare() {
+       # Test fail with xvfb but not X
+       sed -e 's/^.*TEST_NAMES=compat_test_pygtk .*;/echo "Test disabled";/' \
+               -i tests/Makefile.{am,in} || die
+
+       gnome2_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       # Hard-enable libffi support since both gobject-introspection and
+       # glib-2.29.x rdepend on it anyway
+       # docs disabled by upstream default since they are very out of date
+       configuring() {
+               gnome2_src_configure \
+                       $(use_enable cairo) \
+                       $(use_enable threads thread)
+
+               # Pyflakes tests work only in python2, bug #516744
+               if use test && [[ ${EPYTHON} != python2.7 ]]; then
+                       sed -e 's/if type pyflakes/if false/' \
+                               -i Makefile || die "sed failed"
+               fi
+       }
+
+       python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_test() {
+       export GIO_USE_VFS="local" # prevents odd issues with deleting 
${T}/.gvfs
+       export GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related failures 
in chroots, bug #449484
+       export SKIP_PEP8="yes"
+
+       testing() {
+               export XDG_CACHE_HOME="${T}/${EPYTHON}"
+               run_in_build_dir virtx emake check
+               unset XDG_CACHE_HOME
+       }
+       python_foreach_impl testing
+       unset GIO_USE_VFS
+}
+
+src_install() {
+       python_foreach_impl run_in_build_dir gnome2_src_install
+
+       dodoc -r examples
+}

Reply via email to